<template>
  <IconHome v-if="icon == 'icon-home'"></IconHome>
  <IconKey v-else-if="icon == 'icon-key'"></IconKey>
  <IconUsers v-else-if="icon == 'icon-users'"></IconUsers>
  <IconSettings v-else-if="icon == 'icon-settings'"></IconSettings>
  <IconRoles v-else-if="icon == 'icon-roles'"></IconRoles>
  <IconCircle v-else></IconCircle>
</template>

<script>
import { HomeIcon, UsersIcon } from 'vue-feather-icons';
export default {
  components: [
  HomeIcon,
  UsersIcon
  ],
  props: {
    icon: {
      type: String,
      required: true,
    },
  },
};
</script>
